package com.emr.service.emrCodeType;


import com.emr.entity.emrCodeType.Emr_Code_Type;
import org.apache.ibatis.annotations.Param;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface EmrCodeTypeService {
    List<Emr_Code_Type> selectAllByPatientId(@Param("patientId") String patientId);

    void  addCodeType(Emr_Code_Type emrCodeType, HttpServletRequest request);

    void  updateCodeType(Emr_Code_Type emrCodeType,HttpServletRequest request);

    int deleteByPrimaryKey(Integer id);
}

